## hubzero-solr 6.1.0-3+deb8

=== Makefile ===
# @package      hubzero-solr
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2016 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2016 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

SOLR_ARCHIVE=solr-6.1.0.tgz
SOLR_DIR=solr-6.1.0
SOLR_EXTRACT_DIR=/usr/share/hubzero-solr
SOLR_INSTALL_DIR="${SOLR_EXTRACT_DIR}/${SOLR_DIR}"
USRBIN="${DESTDIR}/usr/bin"
SOLR_SERVICE=hubzero-solr
SOLR_BASENAME=solr
SOLR_USER=hubzero-solr
SOLR_VAR_DIR=/srv/hubzero-solr
SOLR_PORT=8445

JAVA_ARCHIVE=server-jre-8u102-linux-x64.tar.gz
JAVA_DIR=jdk1.8.0_102
JAVA_EXTRACT_DIR=/usr/lib/hubzero-solr
JAVA_INSTALL_DIR="${JAVA_EXTRACT_DIR}/${JAVA_DIR}"
JAVA_BASENAME=jdk

all:
	@true

install:
	@# extract
	@echo "\nExtracting ${SOLR_ARCHIVE} to ${DESTDIR}/${SOLR_EXTRACT_DIR}\n"
	mkdir -p ${DESTDIR}/${SOLR_INSTALL_DIR}
	mkdir -p ${USRBIN}
	tar zxf "${SOLR_ARCHIVE}" -C "${DESTDIR}/${SOLR_EXTRACT_DIR}"
	mkdir -p "${DESTDIR}/${JAVA_INSTALL_DIR}"
	tar zxf "${JAVA_ARCHIVE}" -C "${DESTDIR}/${JAVA_EXTRACT_DIR}"
	find "${DESTDIR}/${SOLR_INSTALL_DIR}" -type d -print0 | xargs -0 chmod 0755
	find "${DESTDIR}/${SOLR_INSTALL_DIR}" -type f -print0 | xargs -0 chmod 0644
	chmod -R 0755 "${DESTDIR}/${SOLR_INSTALL_DIR}/bin"
	install --mode 0755 hzsolrindex ${USRBIN}/hzsolrindex
	install --mode 0755 -D cron-hzsolrindex ${DESTDIR}/etc/cron.d/cron-hzsolrindex

	@# create a symlink for easier scripting
	@echo "\nInstalling symlink ${DESTDIR}/${SOLR_EXTRACT_DIR}/${SOLR_BASENAME} -> ${DESTDIR}/${SOLR_INSTALL_DIR} ...\n"
	ln -s "${SOLR_INSTALL_DIR}" "${DESTDIR}/${SOLR_EXTRACT_DIR}/${SOLR_BASENAME}"
	ln -s "${JAVA_INSTALL_DIR}" "${DESTDIR}/${JAVA_EXTRACT_DIR}/${JAVA_BASENAME}"
	
	@# install init.d script
	@echo "\nInstalling ${DESTDIR}/etc/init.d/${SOLR_SERVICE} script ...\n"
	mkdir -p "${DESTDIR}/etc/init.d"
	chmod 0755 "${DESTDIR}/etc/init.d"
	cp -p "${DESTDIR}/${SOLR_INSTALL_DIR}/bin/init.d/solr" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
	chmod 0755 "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
	@# do some basic variable substitution on the init.d script
	sed -i -e "s#SOLR_INSTALL_DIR=.*#SOLR_INSTALL_DIR=\"${SOLR_EXTRACT_DIR}/${SOLR_BASENAME}\"#" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
	sed -i -e "s#SOLR_ENV=.*#SOLR_ENV=\"/etc/default/${SOLR_SERVICE}.in.sh\"#" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
	sed -i -e "s#RUNAS=.*#RUNAS=\"${SOLR_USER}\"#" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
	sed -i -e "s#Provides:.*#Provides: ${SOLR_SERVICE}#" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"

	@echo "\nInstalling ${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh ...\n"
	@# install/move configuration
	mkdir -p "${DESTDIR}/etc/default"
	chmod 0755 "${DESTDIR}/etc/default"
	cp -p "${DESTDIR}/${SOLR_INSTALL_DIR}/bin/solr.in.sh" "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
	echo "SOLR_PID_DIR=\"${SOLR_VAR_DIR}\"" >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
	echo "SOLR_HOME=\"${SOLR_VAR_DIR}/data\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
	echo "LOG4J_PROPS=\"${SOLR_VAR_DIR}/log4j.properties\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
	echo "SOLR_LOGS_DIR=\"${SOLR_VAR_DIR}/logs\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
	echo "SOLR_PORT=\"${SOLR_PORT}\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
	echo "SOLR_JAVA_HOME=\"${JAVA_EXTRACT_DIR}/${JAVA_BASENAME}\"" >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
	echo "SOLR_HOST=\"localhost\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"

	chmod 0644 "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"

	sed -i -e "s#solr.log=.*#solr.log=\$${solr.solr.home}/../logs#" "${DESTDIR}/${SOLR_INSTALL_DIR}/server/resources/log4j.properties"

	cp -r hubzero-solr-core "${DESTDIR}/${SOLR_INSTALL_DIR}"
	mkdir "${DESTDIR}/${SOLR_INSTALL_DIR}/hubzero-solr-core/lib"
	find "${DESTDIR}/${SOLR_INSTALL_DIR}/hubzero-solr-core" -type d -print0 | xargs -0 chmod 0750
	find "${DESTDIR}/${SOLR_INSTALL_DIR}/hubzero-solr-core" -type f -print0 | xargs -0 chmod 0640

uninstall:
	@true

postinst:
	adduser --system --shell /bin/bash --group --disabled-password --home "$SOLR_VAR_DIR" "$SOLR_USER"
	chmod 0750 "${SOLR_VAR_DIR}"
	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}"

	mkdir -p "${SOLR_VAR_DIR}/data"
	chmod 0750 "${SOLR_VAR_DIR}/data"
	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}/data"

	mkdir -p "${SOLR_VAR_DIR}/logs"
	chmod 0750 "${SOLR_VAR_DIR}/logs"
	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}/logs"

	cp "${SOLR_INSTALL_DIR}/server/solr/solr.xml" "${SOLR_VAR_DIR}/data/solr.xml"
	chmod 0640  "${SOLR_VAR_DIR}/data/solr.xml"
	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}/data/solr.xml"

	cp "${SOLR_INSTALL_DIR}/server/resources/log4j.properties" "${SOLR_VAR_DIR}/log4j.properties"
	chmod 0640 "${SOLR_VAR_DIR}/log4j.properties"
	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}/log4j.properties"

	cp -r "${SOLR_INSTALL_DIR}/hubzero-solr-core" "${SOLR_VAR_DIR}/data"
	chown -R "${SOLR_USER}:" "${SOLR_VAR_DIR}/data/hubzero-solr-core"
	chmod o-rwx "${SOLR_VAR_DIR}/data/hubzero-solr-core"
 
	update-rc.d "${SOLR_SERVICE}" defaults
	service "${SOLR_SERVICE}" start
	sleep 5
	service "${SOLR_SERVICE}" status
	@echo "Service ${SOLR_SERVICE} installed."

clean:
	@true

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-solr (6.1.0-3+deb8) unstable; urgency=low

  * Adds CRON-based indexing mechanism

 -- Kevin Wojkovich <kevinw@purdue.edu>  Tue, 02 May 2017 09:03:21 -0500

hubzero-solr (6.1.0-2) unstable; urgency=low

  * Change default port and listening host (localhost:8445)

 -- Nicholas Kisseberth <nkissebe@nix8.hubzero.org>  Mon, 01 Aug 2016 08:37:21 -0400

hubzero-solr (6.1.0-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 27 Jul 2016 10:39:00 -0400

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-solr
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-solr install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a -o
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-solr 6.1.3+deb7

=== Makefile ===
--- 
+++ 
@@ -77,6 +77,8 @@
 	sed -i -e "s#SOLR_ENV=.*#SOLR_ENV=\"/etc/default/${SOLR_SERVICE}.in.sh\"#" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
 	sed -i -e "s#RUNAS=.*#RUNAS=\"${SOLR_USER}\"#" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
 	sed -i -e "s#Provides:.*#Provides: ${SOLR_SERVICE}#" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
+	@# user does not have a shell, run the init script 
+	sed -i -e "s/su -c/su -s \/bin\/sh -c/g" "${DESTDIR}/etc/init.d/${SOLR_SERVICE}"
 
 	@echo "\nInstalling ${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh ...\n"
 	@# install/move configuration
@@ -104,7 +106,7 @@
 	@true
 
 postinst:
-	adduser --system --shell /bin/bash --group --disabled-password --home "$SOLR_VAR_DIR" "$SOLR_USER"
+	adduser --system --shell /bin/false --group --disabled-password --home "$SOLR_VAR_DIR" "$SOLR_USER"
 	chmod 0750 "${SOLR_VAR_DIR}"
 	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}"

## hubzero-solr 6.1.4-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-solr
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2016 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2016-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2016 HUBzero Foundation, LLC.
+# Copyright (c) 2016-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== debian/changelog ===
hubzero-solr (6.1.4-1+deb8) unstable; urgency=low

  * Add mlt requestHandler in solrconfig.xml and insert termVectors in schema.xml

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 11 Apr 2018 15:45:17 -0400

hubzero-solr (6.1.3-1) unstable; urgency=low

  * Adds blacklist support

 -- Kevin Wojkovich <kevinw@purdue.edu>  Mon, 26 Jun 2017 10:08:00 -0400

hubzero-solr (6.1.2-1) unstable; urgency=low

  * Fixes issue with groups, adds kb support

 -- Kevin Wojkovich <kevinw@purdue.edu>  Thu, 22 Jun 2017 17:42:00 -0400

hubzero-solr (6.1.1-1) unstable; urgency=low

  * Removes shell for hubzero-solr user

 -- Kevin Wojkovich <kevinw@purdue.edu>  Mon, 08 May 2017 10:35:00 -0400

hubzero-solr (6.1.0-3) unstable; urgency=low

  * Adds CRON-based indexing mechanism

 -- Kevin Wojkovich <kevinw@purdue.edu>  Tue, 02 May 2017 09:03:21 -0500

=== debian/control ===
Source: hubzero-solr
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-solr
Architecture: any
Depends: adduser,  ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero Solr
 HUBzero packaging of the Solr search engine

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # @package      hubzero-solr
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-solr 6.1.4.6-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-solr
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2016-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2016-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2016-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2016-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 SOLR_ARCHIVE=solr-6.1.0.tgz
@@ -32,17 +31,19 @@
 SOLR_EXTRACT_DIR=/usr/share/hubzero-solr
 SOLR_INSTALL_DIR="${SOLR_EXTRACT_DIR}/${SOLR_DIR}"
 USRBIN="${DESTDIR}/usr/bin"
+VARLOG="${DESTDIR}/var/log"
+#VARRUN="${DESTDIR}/var/run"
 SOLR_SERVICE=hubzero-solr
 SOLR_BASENAME=solr
 SOLR_USER=hubzero-solr
 SOLR_VAR_DIR=/srv/hubzero-solr
 SOLR_PORT=8445
 
-JAVA_ARCHIVE=server-jre-8u102-linux-x64.tar.gz
-JAVA_DIR=jdk1.8.0_102
-JAVA_EXTRACT_DIR=/usr/lib/hubzero-solr
-JAVA_INSTALL_DIR="${JAVA_EXTRACT_DIR}/${JAVA_DIR}"
-JAVA_BASENAME=jdk
+# JAVA_ARCHIVE=server-jre-8u102-linux-x64.tar.gz
+# JAVA_DIR=jdk1.8.0_102
+# JAVA_EXTRACT_DIR=/usr/lib/hubzero-solr
+# JAVA_INSTALL_DIR="${JAVA_EXTRACT_DIR}/${JAVA_DIR}"
+# JAVA_BASENAME=jdk
 
 all:
 	@true
@@ -54,17 +55,17 @@
 	mkdir -p ${USRBIN}
 	tar zxf "${SOLR_ARCHIVE}" -C "${DESTDIR}/${SOLR_EXTRACT_DIR}"
 	mkdir -p "${DESTDIR}/${JAVA_INSTALL_DIR}"
-	tar zxf "${JAVA_ARCHIVE}" -C "${DESTDIR}/${JAVA_EXTRACT_DIR}"
+	# tar zxf "${JAVA_ARCHIVE}" -C "${DESTDIR}/${JAVA_EXTRACT_DIR}"
 	find "${DESTDIR}/${SOLR_INSTALL_DIR}" -type d -print0 | xargs -0 chmod 0755
 	find "${DESTDIR}/${SOLR_INSTALL_DIR}" -type f -print0 | xargs -0 chmod 0644
 	chmod -R 0755 "${DESTDIR}/${SOLR_INSTALL_DIR}/bin"
 	install --mode 0755 hzsolrindex ${USRBIN}/hzsolrindex
-	install --mode 0755 -D cron-hzsolrindex ${DESTDIR}/etc/cron.d/cron-hzsolrindex
+	install --mode 0644 -D cron-hzsolrindex ${DESTDIR}/etc/cron.d/cron-hzsolrindex
 
 	@# create a symlink for easier scripting
 	@echo "\nInstalling symlink ${DESTDIR}/${SOLR_EXTRACT_DIR}/${SOLR_BASENAME} -> ${DESTDIR}/${SOLR_INSTALL_DIR} ...\n"
 	ln -s "${SOLR_INSTALL_DIR}" "${DESTDIR}/${SOLR_EXTRACT_DIR}/${SOLR_BASENAME}"
-	ln -s "${JAVA_INSTALL_DIR}" "${DESTDIR}/${JAVA_EXTRACT_DIR}/${JAVA_BASENAME}"
+	# ln -s "${JAVA_INSTALL_DIR}" "${DESTDIR}/${JAVA_EXTRACT_DIR}/${JAVA_BASENAME}"
 	
 	@# install init.d script
 	@echo "\nInstalling ${DESTDIR}/etc/init.d/${SOLR_SERVICE} script ...\n"
@@ -90,7 +91,7 @@
 	echo "LOG4J_PROPS=\"${SOLR_VAR_DIR}/log4j.properties\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
 	echo "SOLR_LOGS_DIR=\"${SOLR_VAR_DIR}/logs\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
 	echo "SOLR_PORT=\"${SOLR_PORT}\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
-	echo "SOLR_JAVA_HOME=\"${JAVA_EXTRACT_DIR}/${JAVA_BASENAME}\"" >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
+	# echo "SOLR_JAVA_HOME=\"${JAVA_EXTRACT_DIR}/${JAVA_BASENAME}\"" >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
 	echo "SOLR_HOST=\"localhost\""  >> "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
 
 	chmod 0644 "${DESTDIR}/etc/default/${SOLR_SERVICE}.in.sh"
@@ -101,6 +102,9 @@
 	mkdir "${DESTDIR}/${SOLR_INSTALL_DIR}/hubzero-solr-core/lib"
 	find "${DESTDIR}/${SOLR_INSTALL_DIR}/hubzero-solr-core" -type d -print0 | xargs -0 chmod 0750
 	find "${DESTDIR}/${SOLR_INSTALL_DIR}/hubzero-solr-core" -type f -print0 | xargs -0 chmod 0640
+
+	install --mode 0750 -d $(VARLOG)/hubzero-solr
+	#install --mode 0750 -d $(VARRUN)/hubzero-solr
 
 uninstall:
 	@true
@@ -122,14 +126,20 @@
 	chmod 0640  "${SOLR_VAR_DIR}/data/solr.xml"
 	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}/data/solr.xml"
 
-	cp "${SOLR_INSTALL_DIR}/server/resources/log4j.properties" "${SOLR_VAR_DIR}/log4j.properties"
-	chmod 0640 "${SOLR_VAR_DIR}/log4j.properties"
-	chown "${SOLR_USER}:" "${SOLR_VAR_DIR}/log4j.properties"
+	if [ ! -f "${SOLR_VAR_DIR}/log4j.properties" ]; \
+	then \
+		cp "${SOLR_INSTALL_DIR}/server/resources/log4j.properties" "${SOLR_VAR_DIR}/log4j.properties"; \
+		chmod 0640 "${SOLR_VAR_DIR}/log4j.properties"; \
+		chown "${SOLR_USER}:" "${SOLR_VAR_DIR}/log4j.properties"; \
+	fi
 
 	cp -r "${SOLR_INSTALL_DIR}/hubzero-solr-core" "${SOLR_VAR_DIR}/data"
 	chown -R "${SOLR_USER}:" "${SOLR_VAR_DIR}/data/hubzero-solr-core"
 	chmod o-rwx "${SOLR_VAR_DIR}/data/hubzero-solr-core"
  
+	chown "${SOLR_USER}" $(VARLOG)/hubzero-solr
+	#chown "${SOLR_USER}" $(VARRUN)/hubzero-solr
+
 	update-rc.d "${SOLR_SERVICE}" defaults
 	service "${SOLR_SERVICE}" start
 	sleep 5

=== debian/changelog ===
hubzero-solr (6.1.4.6-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 18:25:13 -0700

hubzero-solr (6.1.4.5-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 01 May 2020 22:24:19 -0700

hubzero-solr (6.1.4.4-1) unstable; urgency=low

  * create and use /var/log/hubzero-solr and /var/run/hubzero-solr

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 14 Nov 2019 10:59:44 -0400

hubzero-solr (6.1.4.3-1) unstable; urgency=low

  * change permissions on cron job and don't overwrite log4j properties on update

 -- Nicholas J. Kisseberth <nkissebe@ucsd.edu>  Wed, 06 Nov 2019 22:11:16 -0400

hubzero-solr (6.1.4-1) unstable; urgency=low

  * Add mlt requestHandler in solrconfig.xml and insert termVectors in schema.xml

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 11 Apr 2018 15:45:17 -0400

=== debian/control ===
Source: hubzero-solr
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-solr
Architecture: any
Depends: adduser, openjdk-8-jre-headless, python ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero Solr based search engine
 HUBzero packaging of the Solr search engine

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-solr
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -24,7 +23,7 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
